 // Wiring/Arduino code:
 // Read data from the serial and turn ON or OFF a light depending on the value
 
 char state; // Blinking is on or off
 boolean flip;
 int ledPin = LED_BUILTIN; // Set the pin to onboard LED
 
 void setup() {
 pinMode(ledPin, OUTPUT); // Set pin as OUTPUT
 Serial.begin(9600); // Start serial communication at 9600 bps
 }
 
 void loop() {
    // If H was received turn the LED blinking on
    if      (state == 'H') {flip=!flip;digitalWrite(ledPin, flip);}
    // If L was received turn it OFF
    else if (state == 'L') digitalWrite(ledPin, LOW);
    else /*nothing*/;
    delay(200); // Wait 200 milliseconds
 }

/*
  SerialEvent occurs whenever a new data comes in the hardware serial RX. This
  routine is run between each time loop() runs, so using delay inside loop can
  delay response. Multiple bytes of data may be available.
*/
void serialEvent() {
  while (Serial.available()) {
    // get the new byte:
    char inChar = (char)Serial.read();
       // If H was received turn the LED on If L was received turn it OFF
    if ((inChar == 'H') || (inChar=='L')) state=inChar;
  }
} 
